/* Copyright 2000 Red Hat, Inc.
 *
 * Florian La Roche <Florian.LaRoche@redhat.de>
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdlib.h>
#include "rhutil.h"

void
ErrorAbort (const char *fmt, ...)
{
	va_list ap;

	va_start (ap, fmt);
	vError (fmt, ap);
	va_end (ap);

	/** XXX May this be abort() */

	exit (EXIT_FAILURE);
}
